0

I have a chain running on polkadot-v0.9.18 and I want to upgrade it to polkadot-v0.9.20, so I did a runtime upgrade using the latters wasm codeand changed the client. After this the elections are not happening and also there is no new era.

How can I fix it?

Log that I got on terminal enter image description here

2

1 Answer 1

1

You need to chill all the validators and validate again, elections should start again, this happens due to the different implementation of npos_elections in different versions of substrate.

Refer to this How to recover to normal election from `staking.StakingElectionFailed` with `Fallback = BoundedExecution`?

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.